Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/NST_SRC/agrif_lim3_interp.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/NST_SRC/agrif_lim3_interp.F90	(revision 8563)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/NST_SRC/agrif_lim3_interp.F90	(revision 8564)
@@ -163,9 +163,9 @@
          jm = 1
          DO jl = 1, jpl
-            ptab(i1:i2,j1:j2,jm  ) = a_i_b  (i1:i2,j1:j2,jl)
-            ptab(i1:i2,j1:j2,jm+1) = v_i_b  (i1:i2,j1:j2,jl)
-            ptab(i1:i2,j1:j2,jm+2) = v_s_b  (i1:i2,j1:j2,jl)
-            ptab(i1:i2,j1:j2,jm+3) = smv_i_b(i1:i2,j1:j2,jl)
-            ptab(i1:i2,j1:j2,jm+4) = oa_i_b (i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm  ) = a_i_b (i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm+1) = v_i_b (i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm+2) = v_s_b (i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm+3) = sv_i_b(i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm+4) = oa_i_b(i1:i2,j1:j2,jl)
             jm = jm + 5
             DO jk = 1, nlay_s
@@ -191,9 +191,9 @@
                DO jj = j1, j2
                   DO ji = i1, i2
-                     a_i  (ji,jj,jl) = ptab(ji,jj,jm  ) * tmask(ji,jj,1)
-                     v_i  (ji,jj,jl) = ptab(ji,jj,jm+1) * tmask(ji,jj,1)
-                     v_s  (ji,jj,jl) = ptab(ji,jj,jm+2) * tmask(ji,jj,1)
-                     smv_i(ji,jj,jl) = ptab(ji,jj,jm+3) * tmask(ji,jj,1)
-                     oa_i (ji,jj,jl) = ptab(ji,jj,jm+4) * tmask(ji,jj,1)
+                     a_i (ji,jj,jl) = ptab(ji,jj,jm  ) * tmask(ji,jj,1)
+                     v_i (ji,jj,jl) = ptab(ji,jj,jm+1) * tmask(ji,jj,1)
+                     v_s (ji,jj,jl) = ptab(ji,jj,jm+2) * tmask(ji,jj,1)
+                     sv_i(ji,jj,jl) = ptab(ji,jj,jm+3) * tmask(ji,jj,1)
+                     oa_i(ji,jj,jl) = ptab(ji,jj,jm+4) * tmask(ji,jj,1)
                   ENDDO
                ENDDO
@@ -224,6 +224,6 @@
                ztab(:,:,jm+1) = v_i  (:,:,jl)
                ztab(:,:,jm+2) = v_s  (:,:,jl)
-               ztab(:,:,jm+3) = smv_i(:,:,jl)
-               ztab(:,:,jm+4) = oa_i (:,:,jl)
+               ztab(:,:,jm+3) = sv_i(:,:,jl)
+               ztab(:,:,jm+4) = oa_i(:,:,jl)
                jm = jm + 5
                DO jk = 1, nlay_s
@@ -324,8 +324,8 @@
                DO jj = j1, j2
                   DO ji = i1, i2
-                     a_i  (ji,jj,jl) = ztab(ji,jj,jm  ) * tmask(ji,jj,1)
-                     v_i  (ji,jj,jl) = ztab(ji,jj,jm+1) * tmask(ji,jj,1)
-                     v_s  (ji,jj,jl) = ztab(ji,jj,jm+2) * tmask(ji,jj,1)
-                     smv_i(ji,jj,jl) = ztab(ji,jj,jm+3) * tmask(ji,jj,1)
+                     a_i (ji,jj,jl) = ztab(ji,jj,jm  ) * tmask(ji,jj,1)
+                     v_i (ji,jj,jl) = ztab(ji,jj,jm+1) * tmask(ji,jj,1)
+                     v_s (ji,jj,jl) = ztab(ji,jj,jm+2) * tmask(ji,jj,1)
+                     sv_i(ji,jj,jl) = ztab(ji,jj,jm+3) * tmask(ji,jj,1)
                      oa_i (ji,jj,jl) = ztab(ji,jj,jm+4) * tmask(ji,jj,1)
                   ENDDO
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/NST_SRC/agrif_lim3_update.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/NST_SRC/agrif_lim3_update.F90	(revision 8563)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/NST_SRC/agrif_lim3_update.F90	(revision 8564)
@@ -97,8 +97,8 @@
          jm = 1
          DO jl = 1, jpl
-            ptab(i1:i2,j1:j2,jm  ) = a_i  (i1:i2,j1:j2,jl)
-            ptab(i1:i2,j1:j2,jm+1) = v_i  (i1:i2,j1:j2,jl)
-            ptab(i1:i2,j1:j2,jm+2) = v_s  (i1:i2,j1:j2,jl)
-            ptab(i1:i2,j1:j2,jm+3) = smv_i(i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm  ) = a_i (i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm+1) = v_i (i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm+2) = v_s (i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm+3) = sv_i(i1:i2,j1:j2,jl)
             ptab(i1:i2,j1:j2,jm+4) = oa_i (i1:i2,j1:j2,jl)
             jm = jm + 5
@@ -123,9 +123,9 @@
                DO ji = i1, i2
                   IF( ptab(ji,jj,jm) /= Agrif_SpecialValueFineGrid ) THEN
-                     a_i  (ji,jj,jl) = ptab(ji,jj,jm  ) * tmask(ji,jj,1)
-                     v_i  (ji,jj,jl) = ptab(ji,jj,jm+1) * tmask(ji,jj,1)
-                     v_s  (ji,jj,jl) = ptab(ji,jj,jm+2) * tmask(ji,jj,1)
-                     smv_i(ji,jj,jl) = ptab(ji,jj,jm+3) * tmask(ji,jj,1)
-                     oa_i (ji,jj,jl) = ptab(ji,jj,jm+4) * tmask(ji,jj,1)
+                     a_i (ji,jj,jl) = ptab(ji,jj,jm  ) * tmask(ji,jj,1)
+                     v_i (ji,jj,jl) = ptab(ji,jj,jm+1) * tmask(ji,jj,1)
+                     v_s (ji,jj,jl) = ptab(ji,jj,jm+2) * tmask(ji,jj,1)
+                     sv_i(ji,jj,jl) = ptab(ji,jj,jm+3) * tmask(ji,jj,1)
+                     oa_i(ji,jj,jl) = ptab(ji,jj,jm+4) * tmask(ji,jj,1)
                   ENDIF
                ENDDO
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 8563)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 8564)
@@ -36,5 +36,5 @@
    USE lib_mpp          ! MPP library
 #if defined key_lim3
-   USE ice,   ONLY: htm_i, at_i, at_i_b
+   USE ice,   ONLY: hm_i, at_i, at_i_b
 #endif
    USE sbc_oce          ! Surface boundary condition variables.
@@ -835,5 +835,5 @@
 #if defined key_lim3
             zofrld (:,:) = 1._wp - at_i(:,:)
-            zohicif(:,:) = htm_i(:,:)
+            zohicif(:,:) = hm_i(:,:)
             !
             at_i  (:,:) = 1. - MIN( MAX( 1.-at_i  (:,:) - seaice_bkginc(:,:) * zincwgt, 0.0_wp), 1.0_wp)
@@ -844,6 +844,6 @@
             !
             ! Nudge sea ice depth to bring it up to a required minimum depth
-            WHERE( zseaicendg(:,:) > 0.0_wp .AND. htm_i(:,:) < zhicifmin ) 
-               zhicifinc(:,:) = (zhicifmin - htm_i(:,:)) * zincwgt    
+            WHERE( zseaicendg(:,:) > 0.0_wp .AND. hm_i(:,:) < zhicifmin ) 
+               zhicifinc(:,:) = (zhicifmin - hm_i(:,:)) * zincwgt    
             ELSEWHERE
                zhicifinc(:,:) = 0.0_wp
@@ -851,5 +851,5 @@
             !
             ! nudge ice depth
-            htm_i (:,:) = htm_i (:,:) + zhicifinc(:,:)
+            hm_i (:,:) = hm_i (:,:) + zhicifinc(:,:)
             !
             ! seaice salinity balancing (to add)
@@ -884,5 +884,5 @@
 #if defined key_lim3
             zofrld (:,:) = 1._wp - at_i(:,:)
-            zohicif(:,:) = htm_i(:,:)
+            zohicif(:,:) = hm_i(:,:)
             ! 
             ! Initialize the now fields the background + increment
@@ -894,6 +894,6 @@
             !
             ! Nudge sea ice depth to bring it up to a required minimum depth
-            WHERE( zseaicendg(:,:) > 0.0_wp .AND. htm_i(:,:) < zhicifmin ) 
-               zhicifinc(:,:) = (zhicifmin - htm_i(:,:)) * zincwgt    
+            WHERE( zseaicendg(:,:) > 0.0_wp .AND. hm_i(:,:) < zhicifmin ) 
+               zhicifinc(:,:) = (zhicifmin - hm_i(:,:)) * zincwgt    
             ELSEWHERE
                zhicifinc(:,:) = 0.0_wp
@@ -901,5 +901,5 @@
             !
             ! nudge ice depth
-            htm_i (:,:) = htm_i (:,:) + zhicifinc(:,:)
+            hm_i (:,:) = hm_i (:,:) + zhicifinc(:,:)
             !
             ! seaice salinity balancing (to add)
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice.F90	(revision 8563)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice.F90	(revision 8564)
@@ -174,5 +174,5 @@
                !
                ! Ice salinity, age, temperature
-               sm_i(ji,jj,jl)   = rswitch * rn_ice_sal(ib_bdy)  + ( 1.0 - rswitch ) * rn_simin
+               s_i (ji,jj,jl)   = rswitch * rn_ice_sal(ib_bdy)  + ( 1.0 - rswitch ) * rn_simin
                oa_i(ji,jj,jl)   = rswitch * rn_ice_age(ib_bdy) * a_i(ji,jj,jl)
                t_su(ji,jj,jl)   = rswitch * rn_ice_tem(ib_bdy)  + ( 1.0 - rswitch ) * rn_ice_tem(ib_bdy)
@@ -181,6 +181,6 @@
                END DO
                DO jk = 1, nlay_i
-                  t_i(ji,jj,jk,jl) = rswitch * rn_ice_tem(ib_bdy) + ( 1.0 - rswitch ) * rt0 
-                  s_i(ji,jj,jk,jl) = rswitch * rn_ice_sal(ib_bdy) + ( 1.0 - rswitch ) * rn_simin
+                  t_i (ji,jj,jk,jl) = rswitch * rn_ice_tem(ib_bdy) + ( 1.0 - rswitch ) * rt0 
+                  sz_i(ji,jj,jk,jl) = rswitch * rn_ice_sal(ib_bdy) + ( 1.0 - rswitch ) * rn_simin
                END DO
                !
@@ -188,5 +188,5 @@
                !
                ! Ice salinity, age, temperature
-               sm_i(ji,jj,jl)   = rswitch * sm_i(ii,ij,jl)  + ( 1.0 - rswitch ) * rn_simin
+               s_i (ji,jj,jl)   = rswitch * s_i (ii,ij,jl)  + ( 1.0 - rswitch ) * rn_simin
                oa_i(ji,jj,jl)   = rswitch * oa_i(ii,ij,jl)
                t_su(ji,jj,jl)   = rswitch * t_su(ii,ij,jl)  + ( 1.0 - rswitch ) * rt0
@@ -195,6 +195,6 @@
                END DO
                DO jk = 1, nlay_i
-                  t_i(ji,jj,jk,jl) = rswitch * t_i(ii,ij,jk,jl) + ( 1.0 - rswitch ) * rt0
-                  s_i(ji,jj,jk,jl) = rswitch * s_i(ii,ij,jk,jl) + ( 1.0 - rswitch ) * rn_simin
+                  t_i (ji,jj,jk,jl) = rswitch * t_i (ii,ij,jk,jl) + ( 1.0 - rswitch ) * rt0
+                  sz_i(ji,jj,jk,jl) = rswitch * sz_i(ii,ij,jk,jl) + ( 1.0 - rswitch ) * rn_simin
                END DO
                !
@@ -202,10 +202,10 @@
             !
             IF( nn_icesal == 1 ) THEN     ! constant salinity : overwrite rn_icesal
-               sm_i(ji,jj  ,jl) = rn_icesal
-               s_i (ji,jj,:,jl) = rn_icesal
+               s_i (ji,jj  ,jl) = rn_icesal
+               sz_i(ji,jj,:,jl) = rn_icesal
             ENDIF
             !
             ! contents
-            smv_i(ji,jj,jl)  = MIN( sm_i(ji,jj,jl) , sss_m(ji,jj) ) * v_i(ji,jj,jl)
+            sv_i(ji,jj,jl)  = MIN( s_i(ji,jj,jl) , sss_m(ji,jj) ) * v_i(ji,jj,jl)
             DO jk = 1, nlay_s
                ! Snow energy of melting
@@ -215,5 +215,5 @@
             END DO
             DO jk = 1, nlay_i
-               ztmelts          = - tmut * s_i(ji,jj,jk,jl) + rt0 !Melting temperature in K                  
+               ztmelts          = - tmut * sz_i(ji,jj,jk,jl) + rt0 !Melting temperature in K                  
                ! heat content per unit volume
                e_i(ji,jj,jk,jl) = rswitch * rhoic * &
@@ -227,14 +227,14 @@
          END DO
          !
-         CALL lbc_bdy_lnk(  a_i(:,:,jl), 'T', 1., ib_bdy )
-         CALL lbc_bdy_lnk(  h_i(:,:,jl), 'T', 1., ib_bdy )
-         CALL lbc_bdy_lnk(  h_s(:,:,jl), 'T', 1., ib_bdy )
-         CALL lbc_bdy_lnk(  v_i(:,:,jl), 'T', 1., ib_bdy )
-         CALL lbc_bdy_lnk(  v_s(:,:,jl), 'T', 1., ib_bdy )
-         !
-         CALL lbc_bdy_lnk( smv_i(:,:,jl), 'T', 1., ib_bdy )
-         CALL lbc_bdy_lnk(  sm_i(:,:,jl), 'T', 1., ib_bdy )
-         CALL lbc_bdy_lnk(  oa_i(:,:,jl), 'T', 1., ib_bdy )
-         CALL lbc_bdy_lnk(  t_su(:,:,jl), 'T', 1., ib_bdy )
+         CALL lbc_bdy_lnk( a_i(:,:,jl), 'T', 1., ib_bdy )
+         CALL lbc_bdy_lnk( h_i(:,:,jl), 'T', 1., ib_bdy )
+         CALL lbc_bdy_lnk( h_s(:,:,jl), 'T', 1., ib_bdy )
+         CALL lbc_bdy_lnk( v_i(:,:,jl), 'T', 1., ib_bdy )
+         CALL lbc_bdy_lnk( v_s(:,:,jl), 'T', 1., ib_bdy )
+         !
+         CALL lbc_bdy_lnk( sv_i(:,:,jl), 'T', 1., ib_bdy )
+         CALL lbc_bdy_lnk(  s_i(:,:,jl), 'T', 1., ib_bdy )
+         CALL lbc_bdy_lnk( oa_i(:,:,jl), 'T', 1., ib_bdy )
+         CALL lbc_bdy_lnk( t_su(:,:,jl), 'T', 1., ib_bdy )
          DO jk = 1, nlay_s
             CALL lbc_bdy_lnk(t_s(:,:,jk,jl), 'T', 1., ib_bdy )
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 8563)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 8564)
@@ -22,5 +22,5 @@
    USE sbc_oce                             ! ocean surface boundary conditions
 #if defined key_lim3
-   USE ice,    ONLY: u_ice, v_ice, htm_i   ! LIM-3 variables
+   USE ice,    ONLY: u_ice, v_ice, hm_i    ! LIM-3 variables
 #endif
 
@@ -81,5 +81,5 @@
       CALL lbc_lnk_icb( tt_e, 'T', +1._wp, 1, 1 )
 #if defined key_lim3
-      hicth(:,:) = 0._wp ;  hicth(1:jpi,1:jpj) = htm_i(:,:)  
+      hicth(:,:) = 0._wp ;  hicth(1:jpi,1:jpj) = hm_i (:,:)  
       ui_e(:,:) = 0._wp ;   ui_e(1:jpi, 1:jpj) = u_ice(:,:)
       vi_e(:,:) = 0._wp ;   vi_e(1:jpi, 1:jpj) = v_ice(:,:)
